<style type="text/css">
<!--
.style13 {font-family: Arial, "Arial Black", "Times New Roman";
	font-size: 12px;
}
-->
</style>
<script type="text/JavaScript">
<!--
function MM_findObj(n, d) { //v4.01
  var p,i,x;  if(!d) d=document; if((p=n.indexOf("?"))>0&&parent.frames.length) {
    d=parent.frames[n.substring(p+1)].document; n=n.substring(0,p);}
  if(!(x=d[n])&&d.all) x=d.all[n]; for (i=0;!x&&i<d.forms.length;i++) x=d.forms[i][n];
  for(i=0;!x&&d.layers&&i<d.layers.length;i++) x=MM_findObj(n,d.layers[i].document);
  if(!x && d.getElementById) x=d.getElementById(n); return x;
}

function MM_validateForm() { //v4.0
  var i,p,q,nm,test,num,min,max,errors='',args=MM_validateForm.arguments;
  for (i=0; i<(args.length-2); i+=3) { test=args[i+2]; val=MM_findObj(args[i]);
    if (val) { nm=val.name; if ((val=val.value)!="") {
      if (test.indexOf('isEmail')!=-1) { p=val.indexOf('@');
        if (p<1 || p==(val.length-1)) errors+='- '+nm+' must contain an e-mail address.\n';
      } else if (test!='R') { num = parseFloat(val);
        if (isNaN(val)) errors+='- '+nm+' must contain a number.\n';
        if (test.indexOf('inRange') != -1) { p=test.indexOf(':');
          min=test.substring(8,p); max=test.substring(p+1);
          if (num<min || max<num) errors+='- '+nm+' must contain a number between '+min+' and '+max+'.\n';
    } } } else if (test.charAt(0) == 'R') errors += '- '+nm+' is required.\n'; }
  } if (errors) alert('The following error(s) occurred:\n'+errors);
  document.MM_returnValue = (errors == '');
}
//-->
</script>
<form action="view.php" method="post" name="addtrack">
  <table width="400" border="0" align="center" cellpadding="0" cellspacing="3">
    <tr>
      <td width="28%"><span class="style13">Tracking Number </span></td>
      <td width="72%"><label>
        <input name="num" type="text" id="num" size="25">
      </label></td>
    </tr>
    <tr>
      <td><span class="style13">Destination</span></td>
      <td><label for="country"></label>
      <input type="text" name="country" id="country" /></td>
    </tr>
    <tr>
      <td class="style13">Delivery Time</td>
      <td><input type="text" name="dtime" id="dtime" /></td>
    </tr>
    <tr>
      <td><span class="style13">Scan History:</span></td>
      <td><textarea name="message" cols="25" rows="4" id="message"><?php echo $message;?></textarea></td>
    </tr>
    <tr>
      <td class="style13">Delivery Date</td>
      <td><input name="ddate2" type="text" id="ddate2" size="25" /></td>
    </tr>
    <tr>
      <td class="style13">Status</td>
      <td><input name="status" type="text" id="status" size="25" /></td>
    </tr>
    <tr>
      <td>&nbsp;</td>
      <td><label>
        <input name="addnumbtn" type="submit" id="addnumbtn" onclick="MM_validateForm('num','','R','shipdate','','R','estdate','','R','shiptype','','R','content','','R','recname','','R','tele','','R','status','','R','address','','R');return document.MM_returnValue" value="Add Number">
      </label></td>
    </tr>
  </table>
</form>

<?php
if(isset($_REQUEST['addnumbtn'])){
	//Include database connection details
require_once('Connection/conn.php');

     
	 $num = $_POST['num'];
	 $country = $_POST['country'];
	 $message = $_POST['message'];
	 $ddate = $_POST['ddate'];
	 $status = $_POST['status'];
	 $dtime = $_POST['dtime'];
	
	 
	 
	 
	 
	 
	 
	 $enter = mysql_query("INSERT INTO tracking SET 
	 num='$num',
	 country ='$country',
	 message ='$message',
	 ddate = '$ddate',
	 dtime = '$dtime',
	 status = '$status'");
	 
	 if(!$enter){
	 die("query error" . mysql_error());
	 }else if($enter){
	 echo("<center> New Number Added successful </center>");
	 }
	 
}
?>